zenilib: FT_GlyphSlotRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_GlyphSlotRec_ Struct Reference

`#include <freetype.h>`

## Public Attributes

FT_Vector | advance
FT_Bitmap | bitmap
FT_Int | bitmap_left
FT_Int | bitmap_top
void * | control_data
long | control_len
FT_Face | face
FT_Glyph_Format | format
FT_Generic | generic
FT_Slot_Internal | internal
FT_Library | library
FT_Fixed | linearHoriAdvance
FT_Fixed | linearVertAdvance
FT_Pos | lsb_delta
FT_Glyph_Metrics | metrics
FT_GlyphSlot | next
FT_UInt | num_subglyphs
void * | other
FT_Outline | outline
FT_UInt | reserved
FT_Pos | rsb_delta
FT_SubGlyph | subglyphs

## Detailed Description

Definition at line 1605 of file freetype.h.

## Member Data Documentation

FT_Vector FT_GlyphSlotRec_::advance

Definition at line 1616 of file freetype.h.

Referenced by FT_Load_Glyph(), ftc_snode_load(), and gxv_prop_zero_advance_validate().

FT_Bitmap FT_GlyphSlotRec_::bitmap

Definition at line 1620 of file freetype.h.

Referenced by FNT_Load_Glyph(), ft_glyphslot_clear(), ft_raster1_render(), ft_smooth_render_generic(), ft_smooth_render_lcd(), ft_smooth_render_lcd_v(), ftc_snode_load(), t42_glyphslot_clear(), T42_GlyphSlot_Load(), and tt_sbit_decoder_init().

FT_Int FT_GlyphSlotRec_::bitmap_left

Definition at line 1621 of file freetype.h.

Referenced by FNT_Load_Glyph(), ft_glyphslot_clear(), ft_raster1_render(), ft_smooth_render_generic(), ftc_snode_load(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

FT_Int FT_GlyphSlotRec_::bitmap_top

Definition at line 1622 of file freetype.h.

Referenced by FNT_Load_Glyph(), ft_glyphslot_clear(), ft_raster1_render(), ft_smooth_render_generic(), ftc_snode_load(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

void* FT_GlyphSlotRec_::control_data

Definition at line 1629 of file freetype.h.

Referenced by ft_glyphslot_clear(), t42_glyphslot_clear(), T42_GlyphSlot_Load(), and TT_Process_Composite_Glyph().

long FT_GlyphSlotRec_::control_len

Definition at line 1630 of file freetype.h.

Referenced by ft_glyphslot_clear(), t42_glyphslot_clear(), T42_GlyphSlot_Load(), TT_Hint_Glyph(), and TT_Process_Composite_Glyph().

FT_Face FT_GlyphSlotRec_::face

Definition at line 1608 of file freetype.h.

Referenced by af_loader_load_g(), FNT_Load_Glyph(), FT_Done_GlyphSlot(), ft_glyphslot_done(), ft_glyphslot_init(), ft_lookup_glyph_renderer(), FT_New_GlyphSlot(), tt_glyph_load(), and tt_loader_init().

FT_Glyph_Format FT_GlyphSlotRec_::format

Definition at line 1618 of file freetype.h.

Referenced by sources.SourceProcessor::add_block_lines(), af_loader_load_g(), cff_operator_seac(), sources.SourceBlock::dump(), FNT_Load_Glyph(), FT_Glyph_To_Bitmap(), ft_glyphslot_clear(), FT_Load_Glyph(), ft_lookup_glyph_renderer(), ft_raster1_get_cbox(), ft_raster1_render(), ft_raster1_transform(), ft_smooth_get_cbox(), ft_smooth_render_generic(), ft_smooth_transform(), ftc_basic_family_load_glyph(), ftc_snode_load(), load_truetype_glyph(), sources.SourceProcessor::parse_file(), sources.SourceProcessor::process_normal_line(), sources.SourceProcessor::reset(), t1operator_seac(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

FT_Generic FT_GlyphSlotRec_::generic

Definition at line 1611 of file freetype.h.

Referenced by FT_Done_GlyphSlot().

FT_Slot_Internal FT_GlyphSlotRec_::internal

Definition at line 1637 of file freetype.h.

Referenced by af_loader_load_g(), cff_builder_init(), cff_operator_seac(), FNT_Load_Glyph(), FT_Glyph_To_Bitmap(), ft_glyphslot_done(), ft_glyphslot_init(), ft_raster1_render(), ft_smooth_render_generic(), t1operator_seac(), and tt_loader_init().

FT_Library FT_GlyphSlotRec_::library

Definition at line 1607 of file freetype.h.

Referenced by FT_Glyph_To_Bitmap(), ft_glyphslot_init(), and ft_smooth_render_generic().

FT_Fixed FT_GlyphSlotRec_::linearHoriAdvance

Definition at line 1614 of file freetype.h.

Referenced by af_loader_load_g(), cff_get_advances(), ft_glyphslot_clear(), FT_Load_Glyph(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

FT_Fixed FT_GlyphSlotRec_::linearVertAdvance

Definition at line 1615 of file freetype.h.

Referenced by af_loader_load_g(), cff_get_advances(), ft_glyphslot_clear(), FT_Load_Glyph(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

FT_Pos FT_GlyphSlotRec_::lsb_delta

Definition at line 1632 of file freetype.h.

Referenced by af_loader_load_g(), and ft_glyphslot_clear().

FT_Glyph_Metrics FT_GlyphSlotRec_::metrics

Definition at line 1613 of file freetype.h.

Referenced by af_loader_load_g(), FNT_Load_Glyph(), ft_glyphslot_clear(), ft_glyphslot_grid_fit_metrics(), FT_Load_Glyph(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

FT_GlyphSlot FT_GlyphSlotRec_::next

Definition at line 1609 of file freetype.h.

Referenced by FT_Done_GlyphSlot(), and FT_New_GlyphSlot().

FT_UInt FT_GlyphSlotRec_::num_subglyphs

Definition at line 1626 of file freetype.h.

Referenced by af_loader_load_g(), cff_operator_seac(), ft_glyphslot_clear(), t1operator_seac(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

void* FT_GlyphSlotRec_::other

Definition at line 1635 of file freetype.h.

Referenced by ft_glyphslot_clear(), and t42_glyphslot_clear().

FT_Outline FT_GlyphSlotRec_::outline

Definition at line 1624 of file freetype.h.

Referenced by af_latin2_metrics_init_blues(), af_latin_metrics_init_blues(), af_loader_load_g(), cff_builder_done(), ft_glyphslot_clear(), FT_Load_Glyph(), ft_raster1_get_cbox(), ft_raster1_render(), ft_raster1_transform(), ft_smooth_get_cbox(), ft_smooth_render_generic(), ft_smooth_transform(), gxv_ctlPoint_validate(), t1_builder_done(), t42_glyphslot_clear(), T42_GlyphSlot_Load(), and TestFace().

FT_UInt FT_GlyphSlotRec_::reserved

Definition at line 1610 of file freetype.h.

FT_Pos FT_GlyphSlotRec_::rsb_delta

Definition at line 1633 of file freetype.h.

Referenced by af_loader_load_g(), and ft_glyphslot_clear().

FT_SubGlyph FT_GlyphSlotRec_::subglyphs

Definition at line 1627 of file freetype.h.

Referenced by af_loader_load_g(), cff_operator_seac(), ft_glyphslot_clear(), t1operator_seac(), t42_glyphslot_clear(), and T42_GlyphSlot_Load().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/freetype.h